View Issue Details

IDProjectCategoryView StatusLast Update
0004630GNUnetcadet servicepublic2018-06-07 00:24
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PriorityurgentSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004630: cadet connect fails persistently if port not open before other peer tries to connect
DescriptionIf, as is for example the case in the set test cases, a CADET port is only opened *after* another peer tried to connect to the port, the connection fails for good (unless the other peer fully retries to create the channel).

Instead,
1) the receiving peer should remember incoming channels to closed ports (for a short time T?), in case this is just an issue introduced by the other peer being very fast;
2) alternatively/additionally, the initiating peer should retry the 'syn' after timeout "T".

We can skip (2) if the incoming peer remembers 'forever', but that's awkward as it ties down resources 'forever' based on 1 packet. I understand (2) may be an issue if reliability is implemented at a lower layer; however, I'd in fact expect (2) to happen right now, as the peer with the closed port should simply not ACK that he got the SYN, right? (IIRC we said that for CADET we don't send RST or ACK if we get a SYN for a closed port, right?)
TagsNo tags attached.

Activities

Christian Grothoff

2016-08-27 11:47

manager   ~0011066

Oh, and we'll need a testcase for this.

Christian Grothoff

2017-02-21 18:29

manager   ~0011814

No longer relevant after CADET rewrite.

Issue History

Date Modified Username Field Change
2016-08-27 11:47 Christian Grothoff New Issue
2016-08-27 11:47 Christian Grothoff Status new => assigned
2016-08-27 11:47 Christian Grothoff Assigned To => Bart Polot
2016-08-27 11:47 Christian Grothoff Note Added: 0011066
2017-02-21 18:29 Christian Grothoff Assigned To Bart Polot => Christian Grothoff
2017-02-21 18:29 Christian Grothoff Status assigned => resolved
2017-02-21 18:29 Christian Grothoff Resolution open => fixed
2017-02-21 18:29 Christian Grothoff Fixed in Version => 0.11.0pre66
2017-02-21 18:29 Christian Grothoff Note Added: 0011814
2018-06-07 00:24 Christian Grothoff Status resolved => closed